cd /d %~dp0

@echo off

echo Going to install Player One Micro-Manger device adapter...

if not exist ".\mmgr_dal_PlayerOne.dll" (
	echo "ERROR: mmgr_dal_PlayerOne.dll do not exist!"
	goto ENDING
) else (
	echo "mmgr_dal_PlayerOne.dll checked."
)

if not exist ".\PlayerOneCamera.dll" (
	echo "ERROR: PlayerOneCamera.dll do not exist!"
	goto ENDING
) else (
	echo "PlayerOneCamera.dll checked."
)

if not exist ".\PlayerOnePW.dll" (
	echo "PlayerOnePW.dll file do not exist!"
	goto ENDING
) else (
	echo "PlayerOnePW.dll checked."
)

if not exist "C:\Program Files\Micro-Manager-2.0" (
    echo "The installation path of the Micro-Manager is not found! (C:\Program Files\Micro-Manager-2.0)"
    echo "Please manually copy mmgr_dal_PlayerOne.dll, PlayerOneCamera.dll and PlayerOnePW.dll to the installation path of the Micro-Manager."
    goto ENDING
) else (
	echo "The installation path of Micro-Manager is found: C:\Program Files\Micro-Manager-2.0"
)

copy *.dll "C:\Program Files\Micro-Manager-2.0\"

echo "Installation complete!"

:ENDING
pause